Angular에서 "from Css Minimizer, Transform failed with 1 error, Invalid version" 에러가 생길 때 어떻게 해결하나요?

4주 전 질문 4주 전 토론 12 views

Angular 12를 쓰고 있습니다.

ng build --configuration=production

이렇게 실행하면 아래처럼 에러가 나오는데요.

Error: C:/.../.scss from Css Minimizer
Error: Transform failed with 1 error:
error: Invalid version: "15.2-15.3"

 

에러를 해결할 수 있는 방법이 있을까요? 

angular angular-cli

2022-05-28 12:03

2개의 해답

임시로 해결하는 꼼수이긴 합니다만 아래처럼 해결했습니다.

.browserslistrc 파일에 아래와 같은 내용을 추가했습니다.

not ios_saf 15.2-15.3
not safari 15.2-15.3


2022-05-28 12:05

이 버그는 12.2.16와 13.2.1 버전에서 해결되었습니다.

자세한 내용은 아래 링크를 보시면 됩니다.

https://github.com/angular/angular-cli/issues/22606


2022-05-28 12:06

해결방법이나 팁을 알고 계신다면


© 2022 pinfo. All rights reserved.